al_set_mouse_cursor(3)

NAME

al_set_mouse_cursor - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_set_mouse_cursor(ALLEGRO_DISPLAY *display, ALLEGRO_MOUSE_CURSOR *cursor)

DESCRIPTION

Set the given mouse cursor to be the current mouse cursor for the given display.

If the cursor is currently 'shown' (as opposed to 'hidden') the change is immediately visible.

Returns true on success, false on failure.

SEE ALSO

al_set_system_mouse_cursor(3), al_show_mouse_cursor(3), al_hide_mouse_cursor(3)